{
  "private": true,
  "author": "Soleilw <a617759082@126.com>",
  "scripts": {
    "build": "cross-env mode=production max build",
    "build:dev": "cross-env mode=development max build",
    "dev": "cross-env mode=development max dev",
    "format": "prettier --cache --write .",
    "postinstall": "max setup",
    "prepare": "husky",
    "setup": "max setup",
    "start": "npm run dev"
  },
  "dependencies": {
    "@ant-design/icons": "^5.0.1",
    "@ant-design/pro-components": "^2.4.4",
    "@umijs/max": "^4.2.8",
    "antd": "^5.4.0",
    "dayjs": "^1.11.12",
    "docx": "^8.5.0",
    "echarts": "^5.6.0",
    "file-saver": "^2.0.5",
    "he": "^1.2.0",
    "html-docx-js": "^0.3.1",
    "html-docx-js-typescript": "^0.1.5",
    "react-quill": "^2.0.0"
  },
  "devDependencies": {
    "@types/react": "^18.0.33",
    "@types/react-dom": "^18.0.11",
    "cross-env": "^7.0.3",
    "husky": "^9",
    "lint-staged": "^13.2.0",
    "prettier": "^2.8.7",
    "prettier-plugin-organize-imports": "^3.2.2",
    "prettier-plugin-packagejson": "^2.4.3",
    "typescript": "^5.0.3"
  }
}
